Bug 174406 - Build error of japanese/mozc-server related to OPENSSL_LDFLAGS
Build error of japanese/mozc-server related to OPENSSL_LDFLAGS
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Daichi GOTO
Depends on:
  Show dependency treegraph
Reported: 2012-12-12 22:20 UTC by sakaue.mamoru
Modified: 2012-12-14 08:01 UTC (History)
0 users

See Also:

file.diff (1.21 KB, patch)
2012-12-12 22:20 UTC, sakaue.mamoru
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description sakaue.mamoru 2012-12-12 22:20:00 UTC
Recent changes of bsd.openssl.mk on the default value of OPENSSL_LDFLAGS confuses the build of japanese/mozc-server and its slave ports (japanese/mozc-el and japanese/mozc-tool).
This reason is that the new OPENSSL_LDFLAGS value includes a string "-Wl," while Makefile of japanese/mozc-server invokes it into sed commands where "," is used as the delimiter.
So I propose a patch to escape problematic characters in variable values invoked in sed commands.
I also include codes for escaping LOCALBASE values invoked in sed commands just in case as well.

Fix: Apply the following patch.

How-To-Repeat: In the current ports tree (updated at 4:08, 11 Dec 2012, +9:00), execute

make -C /usr/ports/japanese/mozc-server

Then the build fails by complaining about the above matter.
Comment 1 Edwin Groothuis freebsd_committer 2012-12-12 22:20:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->daichi

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Daichi GOTO freebsd_committer 2012-12-14 08:01:18 UTC
State Changed
From-To: open->closed

committed. thanks!